/* CoolTran, traductor de trminos.
 * 
 * Copyright (C) 2007
 *
 * Authors: Javier Garca Palacios <jgarcia1709@gmail.com>
 *          Diego Sevillano de Miguel <sevas85@gmail.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston MA 02110-1301, USA.
 */

import java.awt.Color;
import java.awt.Font;
import java.awt.Rectangle;
import javax.swing.JLabel;


public class Etiqueta  extends JLabel{

	private static final long serialVersionUID = 1L;
	String cadTexto = "";
	
	public Etiqueta(int b1,int b2 , int b3, int b4 ) {
		
		this.setBounds(new Rectangle(b1, b2, b3, b4));
		this.setForeground(Color.white);
		this.setFont(new Font("Dialog", Font.BOLD, 12));
		
		
	}

	public Etiqueta(int b1,int b2 , int b3, int b4 , String mensaje) {
		this.setBounds(new Rectangle(b1, b2, b3, b4));
		this.setText(Configuracion.messages.getString(mensaje));
		this.setForeground(Color.white);
		this.setFont(new Font("Dialog", Font.BOLD, 12));
		cadTexto = mensaje;

		
	}
	
	public Etiqueta(int b1,int b2 , int b3, int b4 , String mensaje, int tamano) {
		this.setBounds(new Rectangle(b1, b2, b3, b4));
		this.setText(Configuracion.propiedades.getProperty(mensaje));
		this.setForeground(Color.white);
		this.setFont(new Font("Dialog", Font.PLAIN, tamano));
		cadTexto = mensaje; 	
	}
	
	public void cambiarIdiomaInterfaz(){
		this.setText(Configuracion.messages.getString(cadTexto));		
		
	}




}
