/* CoolTran, traductor de trminos.
 * 
 * Copyright (C) 2007
 *
 * Authors: Javier Garca Palacios <jgarcia1709@gmail.com>
 *          Diego Sevillano de Miguel <sevas85@gmail.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston MA 02110-1301, USA.
 */

import java.awt.Color;
import javax.swing.ImageIcon;
import javax.swing.JPanel;
import javax.swing.SwingConstants;


public class PestanaAcercaDe  extends JPanel{

	//Declaramos los atributos de la clase
	
	private static final long serialVersionUID = 1L;
	
	//Etiquetas
	
	
	Etiqueta etiquetaTitulo= null;
	Etiqueta etiquetaImagen= null;


	//CampoTexto
	
	 PanelTexto panelTextoDescripcion = null;
	
	
	public PestanaAcercaDe() {
		
		this.setLayout(null);
		this.setBackground(new Color(Integer.valueOf(Configuracion.propiedades.getProperty("colorprima1")), Integer.valueOf(Configuracion.propiedades.getProperty("colorprima2")), Integer.valueOf(Configuracion.propiedades.getProperty("colorprima3"))));
	
		//Aado las etiquetas
		
		getLabels();
		
		//Aado un campoTexto
		
		getPanelTexto();
	
	}
	
	private void  getLabels(){
     
           
		etiquetaTitulo = new Etiqueta(112, 16, 167, 64 ,"", 36);
		etiquetaTitulo.setText("Cooltran");
		etiquetaTitulo.setForeground(new Color(255, 192, 0));
		etiquetaImagen = new Etiqueta(15, 15, 76, 68);
		etiquetaImagen.setIcon(new ImageIcon("imagenes/icono_app.png"));
		etiquetaImagen.setHorizontalAlignment(SwingConstants.CENTER);
				
		//Aado los labels
		
		this.add(etiquetaTitulo, null);
		this.add(etiquetaImagen, null);
	}
	
	private void getPanelTexto(){
		panelTextoDescripcion = new PanelTexto(15, 101, 280, 187,true,"t_version"); 

		this.add(panelTextoDescripcion,null);
	 }
	
	public void cambiarColorInterfaz(){
		this.setBackground(new Color(Integer.valueOf(Configuracion.propiedades.getProperty("colorprima1")), Integer.valueOf(Configuracion.propiedades.getProperty("colorprima2")), Integer.valueOf(Configuracion.propiedades.getProperty("colorprima3"))));
		panelTextoDescripcion.cambiarColorInterfaz();
	}

	public void cambiarIdiomaInterfaz(){
		
		//cambiamos el panel de texto

		panelTextoDescripcion.cambiarIdiomaInterfaz();

	}
}
