/* CoolTran, traductor de trminos.
 * 
 * Copyright (C) 2007
 *
 * Authors: Javier Garca Palacios <jgarcia1709@gmail.com>
 *          Diego Sevillano de Miguel <sevas85@gmail.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston MA 02110-1301, USA.
 */

import java.awt.BorderLayout;
import java.awt.Color;
import javax.swing.JPanel;



public class PanelInicial  extends JPanel{

	//Declaramos los atributos de la clase
	
	private static final long serialVersionUID = 1L;
	
	//Panel de Pestanas
	PanelPestanas panelPestanas = null;
	
	
	public PanelInicial() {
		
		this.setLayout(new BorderLayout());
		this.setBackground(new Color(238, 238, 238));
		
		getPanelPestanas();
	
	}
	
	private void  getPanelPestanas(){
		panelPestanas = new PanelPestanas();
		
		this.add(panelPestanas, BorderLayout.CENTER);
		
	}
	
	public void cambiarColorInterfaz(){
		panelPestanas.cambiarColorInterfaz();
		
	}
	
	public void cambiarIdiomaInterfaz(){		
		panelPestanas.cambiarIdiomaInterfaz();
	}
	

}
